using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("系统 - 签名模板场景配置  (需要同步)")]
[Table("SystemBasicData")]
public class SystemBasicData : BaseFullAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ParentId")]
    public SystemBasicData Parent { get; set; }

    #endregion
    public string Name { get; set; } = string.Empty;

    [StringLength(1000)]
    public string Value { get; set; } = string.Empty;

    public string Description { get; set; } = string.Empty;

    public int ShowOrder { get; set; }

    public string Code { get; set; } = string.Empty;

    public Guid? ParentId { get; set; }
    [StringLength(1000)]
    public string ValueCN { get; set; } = string.Empty;

    public bool IsEnable { get; set; }

    public BasicDataTypeEnum BasicDataTypeEnum { get; set; }
}

